angel_serialize 2.2.1+1

  • README.md
  • CHANGELOG.md
  • Example
  • Installing
  • Versions
  • 89

angel_serialize #

The frontend for Angel model serialization. See documentation in the main project repo:

https://github.com/angel-dart/serialize

2.2.1 #

  • Add serializesTo.

2.2.0 #

  • Add @SerializableField.

2.1.0 #

  • Export hashObjects.

2.0.4+1 #

  • Allow Dart 1 for this annotation-only package.

2.0.4 #

  • Added generatedSerializable.

2.0.3 #

  • Increased the upper SDK boundary.

2.0.2 #

  • Added DefaultValue.

2.0.1 #

  • Added Serializers.typescript.

2.0.0 #

  • Dart 2+ constraint

example/main.dart

// ignore_for_file: unused_element
import 'package:angel_serialize/angel_serialize.dart';

@serializable
class _Todo {
  String text;
  bool completed;
}

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  angel_serialize: ^2.2.1+1

2. Install it

You can install packages from the command line:

with pub:


$ pub get

with Flutter:


$ flutter pub get

Alternatively, your editor might support pub get or flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:angel_serialize/angel_serialize.dart';
  
Version Uploaded Documentation Archive
2.2.3+2 Apr 30, 2019 Go to the documentation of angel_serialize 2.2.3+2 Download angel_serialize 2.2.3+2 archive
2.2.3+1 Apr 8, 2019 Go to the documentation of angel_serialize 2.2.3+1 Download angel_serialize 2.2.3+1 archive
2.2.3 Apr 8, 2019 Go to the documentation of angel_serialize 2.2.3 Download angel_serialize 2.2.3 archive
2.2.2+1 Jan 25, 2019 Go to the documentation of angel_serialize 2.2.2+1 Download angel_serialize 2.2.2+1 archive
2.2.2 Jan 25, 2019 Go to the documentation of angel_serialize 2.2.2 Download angel_serialize 2.2.2 archive
2.2.1+2 Jan 9, 2019 Go to the documentation of angel_serialize 2.2.1+2 Download angel_serialize 2.2.1+2 archive
2.2.1+1 Jan 9, 2019 Go to the documentation of angel_serialize 2.2.1+1 Download angel_serialize 2.2.1+1 archive
2.2.1 Jan 9, 2019 Go to the documentation of angel_serialize 2.2.1 Download angel_serialize 2.2.1 archive
2.2.0 Jan 7, 2019 Go to the documentation of angel_serialize 2.2.0 Download angel_serialize 2.2.0 archive
2.1.0 Nov 3, 2018 Go to the documentation of angel_serialize 2.1.0 Download angel_serialize 2.1.0 archive

All 20 versions...

Popularity:
Describes how popular the package is relative to other packages. [more]
80
Health:
Code health derived from static analysis. [more]
95
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
89
Learn more about scoring.

We analyzed this package on May 30, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.3.1
  • pana: 0.12.17

Platforms

Detected platforms: Flutter, web, other

No platform restriction found in primary library package:angel_serialize/angel_serialize.dart.

Health suggestions

Fix lib/angel_serialize.dart. (-4.89 points)

Analysis of lib/angel_serialize.dart reported 10 hints, including:

line 10 col 37: Use = to separate a named parameter from its default value.

line 10 col 63: Use = to separate a named parameter from its default value.

line 69 col 22: Use = to separate a named parameter from its default value.

line 70 col 19: Use = to separate a named parameter from its default value.

line 71 col 26: Use = to separate a named parameter from its default value.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0-dev <3.0.0
quiver_hashcode ^2.0.0 2.0.0